Skip to main content
GET
https://tickward.com/api/v1
/
projects
/
{project_id}
/
spaces
/
{space_id}
Retrieve a space
curl --request GET \
  --url https://tickward.com/api/v1/projects/{project_id}/spaces/{space_id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "space",
  "id": "travel",
  "project_id": "project_123",
  "project_name": "Main",
  "name": "Travel",
  "color": "#2563eb",
  "created_at": "2026-06-07T12:00:00.000Z"
}

Authorizations

Authorization
string
header
default:tw_your_api_key
required

Use a tickward API key from Settings. API keys start with tw_. Store keys as secrets and send them as Authorization: Bearer <key>.

Path Parameters

project_id
string
required
space_id
string
required

Response

Space.

object
string
required
Allowed value: "space"
id
string
required
project_id
string
required
project_name
string
required

Human-readable project name for agent confirmations.

name
string
required
Maximum string length: 30
color
string | null
required
Pattern: ^#[0-9a-fA-F]{6}$
created_at
string<date-time>
required

ISO 8601 datetime string. Prefer UTC with Z or an explicit offset.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}
Example:

"2026-10-10T09:30:00.000Z"